

let methd(x)=int_of_float(1.0 /. sin(float_of_int x));;

let rec iter x=
  let dummy=methd(x) in 
     ignore dummy;
     if x>1 then iter(x-1) else 0;;


let experiment(iterations)=
  let bfr=Unix.gettimeofday() in
    let t=iter(iterations) in
      let aftr=Unix.gettimeofday() in
        let time=aftr -. bfr in
        ignore t;
        print_newline();
        print_string(" total time ");
        print_float(time);
        print_string("  ");
        print_float(1000.0 *. 1000.0 *. time /. float_of_int(iterations));
        print_string(" ms for 1K ,");
        print_int(iterations);
        print_string(" cycles");
        print_newline();;



let rec repeated(count,iterations)=experiment(iterations);if count>0 then repeated(count-1,iterations);;

repeated(5,500000);;

exit 0;;
