using System;

// inspired by http://www.scriptol.fr/programmation/fibonacci.php
// our result
// >fibo 45
// 1836311903  time 14390.625

class App 
{

  public static long fibo(long n) 
  {
    return (n < 2) ? 1 : fibo(n-2) + fibo(n-1);
  }
  public static int Main(String[] args) 
  {
    int limit;
    long f;
    limit = System.Convert.ToInt32(args[0]);
    if(limit < 1) limit = 1;
    DateTime before=DateTime.Now;
    f = fibo(limit);
    DateTime after=DateTime.Now;
    double ms=(after.Subtract(before)).TotalMilliseconds;
    Console.WriteLine(f.ToString()+"  time "+ms+"\n");
    return(0);
 }
}
