package test.dsl.fsm

import scala.events.dsl.EventFunction
import scala.collection.immutable.List


object R_Using_EventFunction {
  val rnd=new scala.util.Random
  val e1=EventFunction.sync((a:String)=>{
    Thread.sleep(10+10*rnd.nextInt(9))
    print(a)
  })
  val e2=EventFunction.async((a:String)=>{
    Thread.sleep(10+10*rnd.nextInt(9))
    print(a)
  })

  def main(args:Array[String])={
    val lst=List("a","b","c","d","e","f","g","h","i","j","k","l","m")
    lst.foreach(s=>{
      e2(s)
    })
    lst.foreach(s=>{
      e1(s)
    })
  }
  
}

