package test.dsl.poject

import scala.events.ImperativeEvent
import scala.events.dsl.ProjectionDSL

class Sample extends ProjectionDSL {
  def display(prefix:String)(arg:Any)=println(prefix+" "+arg)
  val ev=new ImperativeEvent[(Int,String)]

  val ev_1dsl=ev._1
  val ev_2dsl=ev._2

  val ev_1nodsl=ev map ((arg:(Int,String))=>arg._1)
  val ev_2nodsl=ev map ((arg:(Int,String))=>arg._2)

  ev_1dsl += display("first  dsl") _
  ev_2dsl += display("second dsl") _
  ev_1nodsl += display("first  nodsl") _
  ev_2nodsl += display("second nodsl") _
}

object R_Project {
  val s=new Sample

  def main(arg:Array[String])={
    s.ev((1,"bla"))
    s.ev((2,"noooooo"))
  }
}
