package test.dsl.trigger.simple

import scala.events.{ImperativeEvent,ImperativeAsyncEvent}
import scala.events.dsl.TriggerDSL


object R_TestTrigger extends TriggerDSL {
  def display(prefix:String)(arg:Any)=println(">"+prefix+" "+arg)
  val ev=new scala.events.ImperativeEvent[Int]
  val ev1=new scala.events.ImperativeEvent[Int]
  val ev2=new scala.events.ImperativeAsyncEvent[Unit]
  val ev3=new ImperativeEvent[String]
  ev += display("ev") _
  ev1 += display("ev1") _
  ev2 += display("ev2") _
  ev3 += display("ev3") _
  def main(args:Array[String]):Unit={
    ev triggers ev1 triggers ev2
    ev2 triggers ev3(">1<") andThen ev3(">2<")
    ev(2)
    val t=ev1 || ev2
    t += display("t") _

    ev(3)
  }
}
