(*
# based on : http://www.scriptol.fr/programmation/fibonacci.php
# $ jocaml fibo.ml
# 45  1836311903   98763.5860443ms
*)

let rec fib n =
  if n < 2 then 1
  else fib (n - 2) + fib (n - 1);;

let run=
  let n = 45 in
    let bfr=Unix.gettimeofday() in
      let fb=fib(n) in
        let after=Unix.gettimeofday() in
          let time=after -. bfr in
            print_int(n);
            print_string("  ");
            print_int(fb);
            print_string("   ");
            print_float(1000.0 *. time);
            print_string("ms");
            print_newline();;
 

run;;

exit 0 ;;
