package eval.future
// code needs to be modified to use the real ASYNC events

import scala.events.{ImperativeEvent, ImperativeAsyncEvent, Observable}
import scala.events.sugarjoin.{mkDisjunction,mkChord}

// cloc 48
// ev: 2 handler:1 imp:0
class Future(val initial:Int) {
  lazy val triggerGet=get.before
  val returnEvent=new ImperativeEvent[Int]
  var result:Int=0
  returnEvent += ((arg:Int)=>result=arg)
  
  lazy val get=Observable(_get)
  def _get(arg:Unit)={
    result
  }
}

 // ev: 5  handler: 2 imp:2
class Calc extends {
  val process=new ImperativeEvent[Unit]
  val beginCalc=new ImperativeEvent[Future]
  
  val beginCalculation=new ImperativeAsyncEvent[Future]
   
  val calculate=Observable(_calculate)
  def _calculate(f:Future)={
    Thread.sleep(1000)
    (f.initial)/2
  }

  beginCalculation += handleCalculation _
  
  def handleCalculation(arg:Future):Unit={
    calculate(arg)
  }
  
  val result=calculate.after map ((x:(Future,Int))=>x._2)
  
  def request(i:Int)={
    val f=new Future(i)
    val d=mkDisjunction(mkChord(f.triggerGet,result))
    //d.markSync(f.triggerGet)
    d += ((a:(Unit,Int))=>(f.returnEvent(a._2)))
    beginCalculation(f)
    f
  }
  
  
  
  
}




object R_Future {
  val calc=new Calc()
  def main(arg:Array[String])={
    println("start")
    val r=calc.request(10)
    println("request launched")
    Thread.sleep(200)
    println("now we need the result to show it" )
    val half=r.get()
    println("result="+half)
    println("done")
   }
}
