package evalnodsl.agent.pingpong.multithread

import scala.events.{ImperativeEvent,Observable,EventNode}
import scala.events.sugarjoin.{mkDisjunction,mkChord}

//#cloc 57
//#events  5   :  1 imp + 2(receive+handle)+  2 implicit
//#imper   1  
//#handler 1
//#trigger 1


class Agent(val name:String) extends Thread(name){
  val rnd=new scala.util.Random
  val tick=new ImperativeEvent[Unit]
  var n1:Agent=null
  var n2:Agent=null
  var receive:EventNode[Int]=null
  var handle:EventNode[(Int,Unit)]=null
  def set_neigh(arg1:Agent,arg2:Agent)={
    receive=arg1.sendToN2.beforeAsync || arg2.sendToN1.beforeAsync
    val handle=mkDisjunction(mkChord(receive,tick))
//      handle.markSync(tick)	
    handle += send _ 
  }
 
  
  def send(arg:(Int,Unit)):Unit={
    val core=1+arg._1
    println(name+" received "+core)
    if (rnd.nextBoolean)
      sendToN1(core)
    else
      sendToN2(core)
  }
  val sendToN1=Observable(_sendToN1)
  def _sendToN1(arg:Int):Unit={}
  val sendToN2=Observable(_sendToN2)
  def _sendToN2(arg:Int):Unit={}
  var halting=false
  def halt={halting=true}
  override def run()={
    while (!halting) {
    	tick()
       Thread.sleep(600)
    }
  }
}


class pingpong_je {
  val c1=new Agent("sun")
  val c2=new Agent("moon")
  val c3=new Agent("earth")
  c1.set_neigh(c2,c3)
  c2.set_neigh(c3,c1)
  c3.set_neigh(c2,c1)
 
  val agents=List(c1,c2,c3)
    c1.sendToN1(4)	
   def start=agents.foreach(x=>x.start)
   def stop=agents.foreach(x=>x.halt)
   
}


object R_PingPong {
  val p=new pingpong_je
  def main(arg:Array[String])={
    println("pingpong cycle")
    p.start
    Thread.sleep(10*1000)
    p.stop
  }
}
