package scala.events.dsl

object EventFunction {
  def sync[T](handlers:(T=>Unit)*)={
    val ev=new scala.events.ImperativeEvent[T]
    handlers.foreach(hndlr => {ev += hndlr})
    ev
  }

  def async[T](handlers:(T=>Unit)*)={
    val ev=new scala.events.ImperativeAsyncEvent[T]
    handlers.foreach(hndlr => {ev += hndlr})
    ev
  }
}
